## source.zip

=== guilib/Makefile ===
INCLUDES=-I. -I../ -Icommon -I../xbmc -I../xbmc/cores -I../xbmc/linux -I../xbmc/utils -I/usr/include/freetype2 -I/usr/include/SDL

SRCS=ActionManager.cpp \
     AnimatedGif.cpp \
     AudioContext.cpp \
     DirectXGraphics.cpp \
     GraphicContext.cpp \
     GUIAudioManager.cpp \
     GUIBaseContainer.cpp \
     GUIButtonControl.cpp \
     GUIButtonScroller.cpp \
     GUICheckMarkControl.cpp \
     GUIControl.cpp \
     GUIControlFactory.cpp \
     GUIControlGroup.cpp \
     GUIControlGroupList.cpp \
     GUIDialog.cpp \
     GUIEditControl.cpp \
     GUIFadeLabelControl.cpp \
     GUIFixedListContainer.cpp \
     GUIFont.cpp \
     GUIFontManager.cpp \
     GUIFontTTF.cpp \
     GUIImage.cpp \
     GUIIncludes.cpp \
     GUILabelControl.cpp \
     GUIListContainer.cpp \
     GUIListGroup.cpp \
     GUIListItem.cpp \
     GUIListItemLayout.cpp \
     GUIMessage.cpp \
     GUIMoverControl.cpp \
     GUIMultiImage.cpp \
     GUIPanelContainer.cpp \
     GUIProgressControl.cpp \
     GUIRadioButtonControl.cpp \
     GUIResizeControl.cpp \
     GUIRSSControl.cpp \
     GUIScrollBarControl.cpp \
     GUISelectButtonControl.cpp \
     GUISettingsSliderControl.cpp \
     GUISliderControl.cpp \
     GUISpinControl.cpp \
     GUISpinControlEx.cpp \
     GUIStandardWindow.cpp \
     GUITextBox.cpp \
     GUITexture.cpp \
     GUITextureSDL.cpp \
     GUITextureGL.cpp \
     GUIToggleButtonControl.cpp \
     GUIVideoControl.cpp \
     GUIVisualisationControl.cpp \
     GUIWindow.cpp \
     GUIWindowManager.cpp \
     GUIWrappingListContainer.cpp \
     include.cpp \
     IWindowManagerCallback.cpp \
     Key.cpp \
     LocalizeStrings.cpp \
     SkinInfo.cpp \
     TextureBundle.cpp \
     TextureManager.cpp \
     VisibleEffect.cpp \
     XMLUtils.cpp \
     GUISound.cpp \
     GUIColorManager.cpp \
     Surface.cpp \
     FrameBufferObject.cpp \
     Shader.cpp \
     GUIListLabel.cpp \
     GUIBorderedImage.cpp \
     GUITextLayout.cpp \
     GUIMultiSelectText.cpp \
     GUIInfoColor.cpp \
     GUIControlProfiler.cpp \

LIB=guilib.a

include ../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

try : try.o TextureBundle.o DirectXGraphics.o GUIFontTTF.o
	g++ -o try try.o TextureBundle.o DirectXGraphics.o GraphicContext.o GUIIncludes.o ../xbmc/utils/CriticalSection.o ../xbmc/XBVideoConfig.o SkinInfo.o tinyXML/tinyxml.a ../xbmc/linux/CriticalSection.o GUIFontTTF.o GUIFontBase.o GUIFontManager.o GUIFont.o XMLUtils.o GUIImage.o GUIControl.o TextureManager.o GUIMessage.o ../xbmc/utils/SingleLock.o VisibleEffect.o GUIWindowManager.o AnimatedGif.o -lSDL_image -lSDL_gfx -lSDL -llzo -lfreetype

=== xbmc/Makefile ===
INCLUDES+=-I. -Ilinux -Icores -I../guilib -Iutils -IFileSystem

INCLUDES+=-Ilib/libUPnP/Platinum/ThirdParty/Neptune/Source/Core \
          -Ilib/libUPnP/Platinum/Source/Core \
          -Ilib/libUPnP/Platinum/Source/Devices/MediaServer \
          -Ilib/libUPnP/Platinum/ThirdParty/Neptune/Source/System/Posix \
          -Ilib/libUPnP/Platinum/Source/Devices/MediaConnect \
          -Ilib/libUPnP/Platinum/Source/Devices/MediaRenderer \

INCLUDES+=-Ilib/libcdio/libcdio/include


PCH=stdafx.h

SRCS=Application.cpp \
     CueDocument.cpp \
     GUISettings.cpp \
     GUIWindowSettings.cpp \
     GUIWindowSettingsCategory.cpp \
     GUIWindowSettingsProfile.cpp \
     GUIWindowSettingsScreenCalibration.cpp \
     Settings.cpp \
     SettingsControls.cpp \
     GUIDialogMusicScan.cpp \
     GUIViewControl.cpp \
     GUIViewState.cpp \
     GUIViewStateMusic.cpp \
     GUIWindowMusicBase.cpp \
     GUIWindowMusicInfo.cpp \
     GUIWindowMusicNav.cpp \
     GUIWindowMusicOverlay.cpp \
     GUIWindowMusicPlaylist.cpp \
     GUIWindowMusicPlaylistEditor.cpp \
     GUIWindowMusicSongs.cpp \
     SmartPlaylist.cpp \
     GUIDialogVideoScan.cpp \
     GUIViewStateVideo.cpp \
     GUIWindowVideoBase.cpp \
     GUIWindowVideoFiles.cpp \
     GUIWindowVideoInfo.cpp \
     GUIWindowVideoNav.cpp \
     GUIWindowVideoOverlay.cpp \
     GUIWindowVideoPlaylist.cpp \
     VideoInfoScanner.cpp \
     PlayList.cpp \
     PlayListB4S.cpp \
     PlayListFactory.cpp \
     PlayListM3U.cpp \
     PlayListPlayer.cpp \
     PlayListPLS.cpp \
     PlayListWPL.cpp \
     PlayListURL.cpp \
     PlayListXML.cpp \
     APEv2Tag.cpp \
     FlacTag.cpp \
     Id3Tag.cpp \
     MusicInfoLoader.cpp \
     MusicInfoScanner.cpp \
     MusicInfoTag.cpp \
     MusicInfoTagLoaderAAC.cpp \
     MusicInfoTagLoaderAdplug.cpp \
     MusicInfoTagLoaderApe.cpp \
     MusicInfoTagLoaderCDDA.cpp \
     MusicInfoTagLoaderDatabase.cpp \
     MusicInfoTagLoaderFactory.cpp \
     MusicInfoTagLoaderFlac.cpp \
     MusicInfoTagLoaderGYM.cpp \
     MusicInfoTagLoaderMidi.cpp \
     MusicInfoTagLoaderMod.cpp \
     MusicInfoTagLoaderMP3.cpp \
     MusicInfoTagLoaderMP4.cpp \
     MusicInfoTagLoaderMPC.cpp \
     MusicInfoTagLoaderNSF.cpp \
     MusicInfoTagLoaderOgg.cpp \
     MusicInfoTagLoaderShn.cpp \
     MusicInfoTagLoaderSid.cpp \
     MusicInfoTagLoaderSPC.cpp \
     MusicInfoTagLoaderWav.cpp \
     MusicInfoTagLoaderWavPack.cpp \
     MusicInfoTagLoaderWMA.cpp \
     MusicInfoTagLoaderYM.cpp \
     OggTag.cpp \
     VorbisTag.cpp \
     AutoPtrHandle.cpp \
     AutoSwitch.cpp \
     ButtonTranslator.cpp \
     Crc32.cpp \
     DateTime.cpp \
     DetectDVDType.cpp \
     DNSNameCache.cpp \
     DynamicDll.cpp \
     FileItem.cpp \
     GUIPassword.cpp \
     LangCodeExpander.cpp \
     LangInfo.cpp \
     MediaManager.cpp \
     NfoFile.cpp \
     PartyModeManager.cpp \
     Picture.cpp \
     Profile.cpp \
     SectionLoader.cpp \
     Shortcut.cpp \
     SortFileItem.cpp \
     StringUtils.cpp \
     Temperature.cpp \
     ThumbnailCache.cpp \
     URL.cpp \
     VideoInfoTag.cpp \
     XBAudioConfig.cpp \
     XBVideoConfig.cpp \
     Database.cpp \
     MusicDatabase.cpp \
     ProgramDatabase.cpp \
     Song.cpp \
     VideoDatabase.cpp \
     ViewDatabase.cpp \
     GUIDialogAudioSubtitleSettings.cpp \
     GUIDialogBoxBase.cpp \
     GUIDialogButtonMenu.cpp \
     GUIDialogContentSettings.cpp \
     GUIDialogContextMenu.cpp \
     GUIDialogFileBrowser.cpp \
     GUIDialogFileStacking.cpp \
     GUIDialogGamepad.cpp \
     GUIDialogKeyboard.cpp \
     GUIDialogLockSettings.cpp \
     GUIDialogMediaSource.cpp \
     GUIDialogMusicOSD.cpp \
     GUIDialogMuteBug.cpp \
     GUIDialogNetworkSetup.cpp \
     GUIDialogNumeric.cpp \
     GUIDialogOK.cpp \
     GUIDialogPlayerControls.cpp \
     GUIDialogProfileSettings.cpp \
     GUIDialogProgress.cpp \
     GUIDialogSeekBar.cpp \
     GUIDialogSelect.cpp \
     GUIDialogSettings.cpp \
     GUIDialogSubMenu.cpp \
     GUIDialogVideoBookmarks.cpp \
     GUIDialogVideoSettings.cpp \
     GUIDialogVisualisationPresetList.cpp \
     GUIDialogVisualisationSettings.cpp \
     GUIDialogVolumeBar.cpp \
     GUIDialogSlider.cpp \
     GUIDialogYesNo.cpp \
     GUIMediaWindow.cpp \
     GUIWindowFileManager.cpp \
     GUIWindowFullScreen.cpp \
     GUIWindowHome.cpp \
     GUIWindowLoginScreen.cpp \
     GUIWindowOSD.cpp \
     GUIWindowPictures.cpp \
     GUIWindowPointer.cpp \
     GUIWindowPrograms.cpp \
     GUIWindowScreensaver.cpp \
     GUIWindowScripts.cpp \
     GUIWindowScriptsInfo.cpp \
     GUIWindowSystemInfo.cpp \
     GUIWindowVisualisation.cpp \
     GUIWindowWeather.cpp \
     BackgroundInfoLoader.cpp \
     PictureThumbLoader.cpp \
     ThumbLoader.cpp \
     ApplicationMessenger.cpp \
     Autorun.cpp \
     Util.cpp \
     GUIWindowSlideShow.cpp \
     XBApplicationEx.cpp \
     xbmc.cpp \
     GUIDialogFavourites.cpp \
     GUIDialogSongInfo.cpp \
     Favourites.cpp \
     GUIDialogSmartPlaylistEditor.cpp \
     GUIDialogSmartPlaylistRule.cpp \
     SlideShowPicture.cpp \
     ApplicationRenderer.cpp \
     GUIDialogBusy.cpp \
     GUIWindowStartup.cpp \
     UPnP.cpp \
     PictureInfoLoader.cpp \
     GUIDialogPictureInfo.cpp \
     LastFmManager.cpp \
     PictureInfoTag.cpp \
     GUILargeTextureManager.cpp \
     GUIDialogKaiToast.cpp \
     KeyboardLayoutConfiguration.cpp \
     Edl.cpp \
     GUIDialogPluginSettings.cpp \
     PluginSettings.cpp \
     GUIDialogAccessPoints.cpp \
     ScraperSettings.cpp \
     Artist.cpp \
     Album.cpp \
     MediaSource.cpp \
     MusicInfoTagLoaderASAP.cpp \
     GUIWindowTestPattern.cpp \
     GUIViewStateScripts.cpp \
     GUIViewStatePrograms.cpp \
     GUIViewStatePictures.cpp \
     GUIDialogFullScreenInfo.cpp \
     PowerManager.cpp \
     Zeroconf.cpp \
     VideoReferenceClock.cpp \
     DPMSSupport.cpp \
     ScriptSettings.cpp \

LIB=xbmc.a

DISTCLEAN_FILES=DllPaths_generated.h

include ../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/Changelog/Makefile ===
Changelog: Changelog.cpp
	g++ -D_LINUX -I../../guilib/tinyXML -o Changelog Changelog.cpp ../../guilib/tinyXML/*.o ../../xbmc/utils/RegExp.o

=== tools/EventClients/Makefile ===
# Default prefix dir
prefix=/usr/local
installdir=$(prefix)
WII_EXTRA_OPTS=

all: wiimote install

wiimote:
	cd Clients/WiiRemote && \
	g++ CWIID_WiiRemote.cpp -lcwiid -DICON_PATH="\"$(installdir)/share/pixmaps/xbmc/\"" $(WII_EXTRA_OPTS) -o WiiRemote

j2me-remote:
	cd Clients/J2ME\ Client
	ant -f build.xml

install:
	mkdir -p $(prefix)/bin
	cp -a Clients/WiiRemote/WiiRemote $(prefix)/bin/xbmc-wiiremote
	cp -a Clients/J2ME\ Client/j2me_remote.py $(prefix)/bin/xbmc-j2meremote
	cp -a Clients/PS3\ BD\ Remote/ps3_remote.py $(prefix)/bin/xbmc-ps3remote
	#cp -a Clients/PS3\ Sixaxis\ Controller/ps3d.py $(prefix)/bin/xbmc-ps3d
	mkdir -p $(prefix)/lib/python2.5/site-packages/xbmc
	echo 'ICON_PATH="$(installdir)/share/pixmaps/xbmc/"' > $(prefix)/lib/python2.5/site-packages/xbmc/defs.py
	cp -a lib/python/* $(prefix)/lib/python2.5/site-packages/xbmc/
	cp -a Clients/PS3\ BD\ Remote/ps3_remote.py $(prefix)/lib/python2.5/site-packages/xbmc/
	mkdir -p $(prefix)/include/xbmc
	cp -a lib/c++/* $(prefix)/include/xbmc/
	mkdir -p $(prefix)/share/pixmaps/xbmc
	cp -a icons/* $(prefix)/share/pixmaps/xbmc/

clean:
	rm -f Clients/WiiRemote/WiiRemote

=== xbmc/FileSystem/Makefile ===
INCLUDES=-I. -I../ -I../linux -I../../guilib -I../lib/UnrarXLib -I../utils -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
INCLUDES+=-I../lib/libcdio/libcdio/include

CXXFLAGS+=-D__STDC_FORMAT_MACROS \

SRCS=ASAPFileDirectory.cpp \
     CacheMemBuffer.cpp \
     CacheStrategy.cpp \
     CDDADirectory.cpp \
     cddb.cpp \
     cdioSupport.cpp \
     CMythDirectory.cpp \
     CMythFile.cpp \
     CMythSession.cpp \
     DAAPDirectory.cpp \
     DirectoryCache.cpp \
     Directory.cpp \
     DirectoryHistory.cpp \
     DirectoryTuxBox.cpp \
     DllLibCurl.cpp \
     FactoryDirectory.cpp \
     FactoryFileDirectory.cpp \
     FileCache.cpp \
     FileCDDA.cpp \
     File.cpp \
     FileCurl.cpp \
     FileDAAP.cpp \
     FileFactory.cpp \
     FileFileReader.cpp \
     FileHD.cpp \
     FileISO.cpp \
     FileLastFM.cpp \
     FileMusicDatabase.cpp \
     FileRar.cpp \
     FileRTV.cpp \
     FileShoutcast.cpp \
     FileSpecialProtocol.cpp \
     FileSmb.cpp \
     FileTuxBox.cpp \
     FileXBMSP.cpp \
     FileZip.cpp \
     FTPDirectory.cpp \
     FTPParse.cpp \
     HTTPDirectory.cpp \
     HTSPDirectory.cpp \
     HTSPSession.cpp \
     HDDirectory.cpp \
     HDHomeRun.cpp \
     IDirectory.cpp \
     IFile.cpp \
     iso9660.cpp \
     ISO9660Directory.cpp \
     LastFMDirectory.cpp \
     MultiPathDirectory.cpp \
     MultiPathFile.cpp \
     MusicDatabaseDirectory.cpp \
     MusicFileDirectory.cpp \
     MusicSearchDirectory.cpp \
     NptXbmcFile.cpp \
     NSFFileDirectory.cpp \
     OGGFileDirectory.cpp \
     PlaylistDirectory.cpp \
     PlaylistFileDirectory.cpp \
     PluginDirectory.cpp \
     RarDirectory.cpp \
     RarManager.cpp \
     RSSDirectory.cpp \
     RTVDirectory.cpp \
     SAPDirectory.cpp \
     SAPFile.cpp \
     ShoutcastDirectory.cpp \
     ShoutcastRipFile.cpp \
     SIDFileDirectory.cpp \
     SmartPlaylistDirectory.cpp \
     SMBDirectory.cpp \
     SpecialProtocol.cpp \
     SpecialProtocolDirectory.cpp \
     StackDirectory.cpp \
     UPnPDirectory.cpp \
     UPnPVirtualPathDirectory.cpp \
     VideoDatabaseDirectory.cpp \
     VirtualDirectory.cpp \
     VirtualPathDirectory.cpp \
     VTPDirectory.cpp \
     VTPSession.cpp \
     VTPFile.cpp \
     XBMSDirectory.cpp \
     ZipDirectory.cpp \
     ZipManager.cpp

INCLUDES+=-I../lib/libUPnP/Platinum/ThirdParty/Neptune/Source/Core \
          -I../lib/libUPnP/Platinum/Source/Core \
          -I../lib/libUPnP/Platinum/Source/Devices/MediaServer \
          -I../lib/libUPnP/Platinum/ThirdParty/Neptune/Source/System/Posix \

LIB=filesystem.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/cores/Makefile ===
INCLUDES=-I. -I../ -Iffmpeg -I../linux -I../../guilib -I../utils -Idvdplayer

SRCS=DummyVideoPlayer.cpp \
     PlayerCoreFactory.cpp \
     ssrc.cpp \
     dlgcache.cpp \
     PlayerSelectionRule.cpp

LIB=cores.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== skin/PM3.HD/media/Makefile ===
TARGET=Textures.xpr
XBMCTEX=../../../tools/XBMCTex/XBMCTex
IMAGES= \
	Apple\ Movie\ Trailers/G.png \
	Apple\ Movie\ Trailers/NC-17.png \
	Apple\ Movie\ Trailers/NR.png \
	Apple\ Movie\ Trailers/PG-13.png \
	Apple\ Movie\ Trailers/PG.png \
	Apple\ Movie\ Trailers/R.png \
	busy/busy1.png \
	busy/busy2.png \
	busy/busy3.png \
	busy/busy4.png \
	busy/busy5.png \
	busy/busy6.png \
	busy/busy7.png \
	busy/busy8.png \
	flagging/aspectratio/1.33.png \
	flagging/aspectratio/1.66.png \
	flagging/aspectratio/1.78.png \
	flagging/aspectratio/1.85.png \
	flagging/aspectratio/2.20.png \
	flagging/aspectratio/2.35.png \
	flagging/audio/0.png \
	flagging/audio/1.png \
	flagging/audio/2.png \
	flagging/audio/6.png \
	flagging/audio/8.png \
	flagging/audio/aac.png \
	flagging/audio/ac3.png \
	flagging/audio/dolbydigital.png \
	flagging/audio/dts.png \
	flagging/audio/mp3.png \
	flagging/audio/wmapro.png \
	flagging/video/1080.png \
	flagging/video/720.png \
	flagging/video/540.png \
	flagging/video/480.png \
	flagging/video/avc1.png \
	flagging/video/divx.png \
	flagging/video/h264.png \
	flagging/video/mpeg1video.png \
	flagging/video/wvc1.png \
	flagging/video/xvid.png \
	amt-blank-poster.png \
	amt-generic-actor.png \
	amt-generic-genre-i.png \
	amt-generic-genre.png \
	amt-generic-noactor.png \
	amt-generic-studio.png \
	amt-generic-trailer.png \
	amt-generic-trailer-w.png \
	amt-overlay-favorite.png \
	amt-overlay-saved.png \
	amt-overlay-watched.png \
	Background-Home-2.png \
	Background-Home.png \
	Background.png \
	Barground2.png \
	black-back2.png \
	black-back.png \
	button-focus2.png \
	button-focus-keyboard.png \
	button-focus.png \
	button-focus-toggle-off.png \
	button-focus-toggle-on.png \
	button-nofocus.png \
	button-nofocus-toggle-off.png \
	button-nofocus-toggle-on.png \
	Button_Side_Focus.png \
	Button_Side_NoFocus.png \
	calibrate-bottomright-focus.png \
	calibrate-bottomright.png \
	calibrate-pixelratio-focus.png \
	calibrate-pixelratio.png \
	calibrate-subtitles-focus.png \
	calibrate-subtitles.png \
	calibrate-topleft-focus.png \
	calibrate-topleft.png \
	close-windowFO.png \
	close-window.png \
	ContextMenu_Bottom.png \
	ContextMenu_Middle.png \
	ContextMenu_Top.png \
	DefaultActor.png \
	DefaultAddSource.png \
	DefaultAlbumCover.png \
	DefaultArtist.png \
	DefaultAudio.png \
	DefaultCDDA.png \
	DefaultDVDEmpty.png \
	DefaultDVDRom.png \
	DefaultFile.png \
	DefaultFolderBack.png \
	DefaultFolder.png \
	DefaultHardDisk.png \
	DefaultMovies.png \
	DefaultMusicAlbums.png \
	DefaultMusicArtists.png \
	DefaultMusicCompilations.png \
	DefaultMusicGenres.png \
	DefaultMusicPlaylists.png \
	DefaultMusicPlugins.png \
	DefaultMusicRecentlyAdded.png \
	DefaultMusicRecentlyPlayed.png \
	DefaultMusicSongs.png \
	DefaultMusicTop100.png \
	DefaultMusicVideos.png \
	DefaultMusicYears.png \
	DefaultNetwork.png \
	DefaultPicture.png \
	DefaultPlaylist.png \
	DefaultProgram.png \
	DefaultRecentlyAddedEpisodes.png \
	DefaultRecentlyAddedMovies.png \
	DefaultRecentlyAddedMusicVideos.png \
	DefaultRemovableDriveFirewire.png \
	DefaultRemovableDriveUSB.png \
	DefaultScript.png \
	DefaultShortcut.png \
	DefaultTVShows.png \
	DefaultVCD.png \
	DefaultVideoCover.png \
	DefaultVideoPlaylists.png \
	DefaultVideoPlugins.png \
	DefaultVideo.png \
	DefaultXboxDVD.png \
	DialogBack.png \
	DialogFront.png \
	DialogLeft.png \
	DialogMiddle.png \
	DialogRight.png \
	diffuse_mirror2.png \
	diffuse_mirror.png \
	Fanart_Diffuse.png \
	filemanager-select.png \
	folder-focus.png \
	Footer.png \
	gradient.png \
	Header.png \
	home-button-focus.gif \
	home-button.png \
	home-favourites-focus.gif \
	home-favourites.png \
	homeinfo-blank.png \
	homeinfo-system.png \
	Home-Menu-Back-2.png \
	Home-Menu-Back.png \
	home-playmedia-focus.gif \
	home-playmedia.png \
	home-power-focus.gif \
	home-power.png \
	icon_appearence.png \
	icon_music.png \
	icon_network.png \
	icon_pics.png \
	icon_system.png \
	icon_video.png \
	icon_weather.png \
	lastfm-hate-focus.png \
	lastfm-hate-nofocus.png \
	lastfm-love-focus.png \
	lastfm-love-nofocus.png \
	list-focus.png \
	NoCover_1.png \
	NoCover_2.png \
	osd_button_audioFO.png \
	osd_button_audioSELNF.png \
	osd_button_bookmarkFO.png \
	osd_button_bookmarkSELNF.png \
	osd_button_dvdmenu2.png \
	osd_button_dvdmenuNF.png \
	osd_button_dvdmenu.png \
	osd_button_ffFO.png \
	osd_button_ffSELNF.png \
	osd_button_info_1_nofocus.png \
	osd_button_info_1.png \
	osd_button_info_2_nofocus.png \
	osd_button_info_2.png \
	osd_button_lyricsFO.png \
	osd_button_lyrics.png \
	osd_button_pauseFO.png \
	osd_button_pauseNF.png \
	osd_button_playFO.png \
	osd_button_playlistFO.png \
	osd_button_playNF.png \
	osd_button_presetsFO.png \
	osd_button_presetsSELNF.png \
	osd_button_rec2.png \
	osd_button_recNF.png \
	osd_button_rec.png \
	osd_button_rewFO.png \
	osd_button_rewSELNF.png \
	osd_button_skip_minusFO.png \
	osd_button_skip_plusFO.png \
	osd_button_stopFO.png \
	osd_button_videoFO.png \
	osd_button_videoSELNF.png \
	osd_button_visFO.png \
	osd_button_vizsettingsFO.png \
	osd_button_vizsettingsSELNF.png \
	osd_panel_audio.png \
	osd_panel.png \
	osd-panel-top.png \
	osd_slider_bg_2.png \
	osd_slider_bg.png \
	osd_slider_nibNF.png \
	osd_slider_nib.png \
	OverlayHasTrainer.png \
	OverlayHD.png \
	OverlayLocked.png \
	OverlayRAR.png \
	OverlayTrained.png \
	OverlayWatched.png \
	Panel2.png \
	Panel.png \
	PlayerControls-ForwardFO.png \
	PlayerControls-ForwardNF.png \
	PlayerControls-FullScreenFO.png \
	PlayerControls-FullScreenNF.png \
	PlayerControls-NextFO.png \
	PlayerControls-NextNF.png \
	PlayerControls-PauseFO.png \
	PlayerControls-PauseNF.png \
	PlayerControls-PlayFO.png \
	PlayerControls-PlayNF.png \
	PlayerControls-PrevFO.png \
	PlayerControls-PrevNF.png \
	PlayerControls-RandomFO_2.png \
	PlayerControls-RandomFO.png \
	PlayerControls-RandomNF_2.png \
	PlayerControls-RandomNF.png \
	PlayerControls-RandomOnFO_2.png \
	PlayerControls-RandomOnFO.png \
	PlayerControls-RandomOnNF_2.png \
	PlayerControls-RandomOnNF.png \
	PlayerControls-RepeatAllFO.png \
	PlayerControls-RepeatAllNF.png \
	PlayerControls-RepeatFO.png \
	PlayerControls-RepeatNF.png \
	PlayerControls-RepeatOneFO.png \
	PlayerControls-RepeatOneNF.png \
	PlayerControls-RewindFO.png \
	PlayerControls-RewindNF.png \
	PlayerControls-StopFO.png \
	PlayerControls-StopNF.png \
	pointer-focus-click.png \
	pointer-focus-drag.png \
	pointer-focus.png \
	pointer-nofocus.png \
	poster-shadow.png \
	ProgressBack.png \
	ProgressBuffer.png \
	ProgressFront2.png \
	ProgressFront.png \
	radiobutton-focus-2.png \
	radiobutton-focus.png \
	radiobutton-nofocus.png \
	rating0.png \
	rating1.png \
	rating2.png \
	rating3.png \
	rating4.png \
	rating5.png \
	scrollbar_bar_back2.png \
	scrollbar_bar_back.png \
	scrollbar_bar_focus.png \
	scrollbar_bar_focus-vertical.png \
	scrollbar_bar.png \
	scrollbar_bar-vertical.png \
	scrollbar_nib.png \
	scrollbar_nib-vertical.png \
	scroll-down-2.png \
	scroll-down-focus-2.png \
	scroll-down-focus.png \
	scroll-down.png \
	scroll-left-focus.png \
	scroll-left.png \
	scroll-right-focus.png \
	scroll-right.png \
	scroll-up-2.png \
	scroll-up-focus-2.png \
	scroll-up-focus.png \
	scroll-up.png \
	SeekbarMarker.png \
	seekslider.png \
	separator.png \
	slider_nibFO.png \
	sub-background-label.png \
	sub-background.png \
	sub-eject-focus.gif \
	sub-eject-nofocus.png \
	sub-exit-focus.gif \
	sub-exit-nofocus.png \
	sub-favs-focus.gif \
	sub-favs-nofocus.png \
	sub-info-focus.gif \
	sub-info-nofocus.png \
	sub-logoff-focus.gif \
	sub-logoff-nofocus.png \
	sub-master-focus.gif \
	sub-master-nofocus.png \
	sub-nomaster-focus.gif \
	sub-nomaster-nofocus.png \
	sub-reboot-focus.gif \
	sub-reboot-nofocus.png \
	sub-shutdown-focus.gif \
	sub-shutdown-nofocus.png \
	sub-suspend-focus.gif \
	sub-suspend-nofocus.png \
	thumb-back.png \
	unknown-user.png \
	VeticalLight.png \
	VolumeIcon-Mute.png \
	VolumeIcon.png \
	white-reflect.png \
	Wide_Icon_Diffuse.png \
	xbmc-logo.png

all: $(TARGET)

.PHONY: force

$(TARGET): $(XBMCTEX) $(IMAGES)
	$(XBMCTEX) -input . -output $(TARGET)

$(XBMCTEX): force
	$(MAKE) -C ../../../tools/XBMCTex

clean:
	rm -f $(TARGET)
distclean: clean

=== skin/Project Mayhem III/media/Makefile ===
TARGET=Textures.xpr
XBMCTEX=../../../tools/XBMCTex/XBMCTex
IMAGES= \
	busy/busy1.png \
	busy/busy2.png \
	busy/busy3.png \
	busy/busy4.png \
	busy/busy5.png \
	busy/busy6.png \
	busy/busy7.png \
	busy/busy8.png \
	home-myfiles/home-myfiles2.png \
	home-myfiles/home-myfiles3.png \
	home-myfiles/home-myfiles.png \
	home-mymusic/home-mymusic2.png \
	home-mymusic/home-mymusic3.png \
	home-mymusic/home-mymusic4.png \
	home-mymusic/home-mymusic.png \
	home-mypictures/home-mypictures2.png \
	home-mypictures/home-mypictures3.png \
	home-mypictures/home-mypictures.png \
	home-myprograms/home-myprograms2.png \
	home-myprograms/home-myprograms3.png \
	home-myprograms/home-myprograms.png \
	home-myvideos/home-myvideos2.png \
	home-myvideos/home-myvideos3.png \
	home-myvideos/home-myvideos.png \
	home-myweather/home-myweather2.png \
	home-myweather/home-myweather3.png \
	home-myweather/home-myweather4.png \
	home-myweather/home-myweather.png \
	home-scripts/home-scripts2.png \
	home-scripts/home-scripts3.png \
	home-scripts/home-scripts.png \
	home-settings/home-settings2.png \
	home-settings/home-settings3.png \
	home-settings/home-settings.png \
	ap-lock.png \
	ap-signal1.png \
	ap-signal2.png \
	ap-signal3.png \
	ap-signal4.png \
	ap-signal5.png \
	background-apps.png \
	background-bottom.png \
	background-Login-Overlay.png \
	background-music.png \
	background-pics.png \
	background-plain.png \
	background.png \
	background-settings.png \
	background-videos.png \
	background-weather.png \
	ban-focus.png \
	ban.png \
	black.png \
	bluebar.png \
	blue_rectangle_music.png \
	blue-rectangleNF.png \
	blue-rectangle.png \
	blue_rectangle_slideshow.png \
	blue_rectangle_video.png \
	blue_rectangle_weather.png \
	bookmark-resume.png \
	button-cd-focus.png \
	button-cd-nofocus.png \
	button-focus.png \
	button-nofocus.png \
	calibrate-bottomright-focus.png \
	calibrate-bottomright.png \
	calibrate-pixelratio-focus.png \
	calibrate-pixelratio.png \
	calibrate-subtitles-focus.png \
	calibrate-subtitles.png \
	calibrate-topleft-focus.png \
	calibrate-topleft.png \
	check-boxNF.png \
	check-box.png \
	Content_Panel_Diffuse.png \
	contentpanel_left.png \
	contentpanel.png \
	DefaultActor.png \
	DefaultAddSource.png \
	DefaultAlbumCover.png \
	DefaultArtist.png \
	DefaultAudio.png \
	DefaultCDDA.png \
	DefaultDVDEmpty.png \
	DefaultDVDRom.png \
	DefaultFile.png \
	DefaultFolderBack.png \
	DefaultFolder.png \
	DefaultHardDisk.png \
	default_icon_back.png \
	DefaultLocked.png \
	DefaultNetwork.png \
	DefaultPicture.png \
	DefaultPlaylist.png \
	DefaultProgram.png \
	DefaultScript.png \
	DefaultShortcut.png \
	DefaultVCD.png \
	DefaultVideoCover.png \
	DefaultVideo.png \
	DefaultXboxDVD.png \
	dialog-context-bottom.png \
	dialog-context-middle.png \
	dialog-context-top.png \
	dialog-panel2.png \
	dialog-panellock.png \
	dialog-panel.png \
	dialog-panelprofile.png \
	diffuse_mirror.png \
	dvdview_bottom.png \
	filemanager_Panel_Sel.png \
	filemanager.png \
	folder-focus.png \
	folder-nofocus.png \
	gradient.png \
	Home_Bottom.png \
	homebutton-focus.png \
	homebutton-small.png \
	home_buttons.png \
	home-dvd.gif \
	home-dvd.png \
	home-focus.gif \
	homeinfo-bgdrive.png \
	homeinfo-bg.png \
	homeinfo-overlay.png \
	homeinfo-system.png \
	Home_Middle.png \
	home-power.gif \
	home-power.png \
	home-sub.gif \
	home-sub.png \
	Home_Top_16x9.png \
	Home_Top.png \
	infoicon.png \
	input-focus.png \
	input-nofocus.png \
	Kai_connected.png \
	Kai_disconnected.png \
	keyboard-btn-backspace-focus.png \
	keyboard-btn-backspace.png \
	keyboard-btn-done-focus.png \
	keyboard-btn-done.png \
	keyboard-btn-dummyright.png \
	keyboard-btn-focus.png \
	keyboard-btn-ip-focus.png \
	keyboard-btn-ip.png \
	keyboard-btn-mid-focus.png \
	keyboard-btn-mid.png \
	keyboard-btn-mid-sel-focus.png \
	keyboard-btn-mid-sel.png \
	keyboard-btn-next-focus.png \
	keyboard-btn-next.png \
	keyboard-btn-num1-focus.png \
	keyboard-btn-Num1.png \
	keyboard-btn-numclear-focus.png \
	keyboard-btn-numclear.png \
	keyboard-btn-numenter-focus.png \
	keyboard-btn-numenter.png \
	keyboard-btn-numnext-focus.png \
	keyboard-btn-numnext.png \
	keyboard-btn-numprev-focus.png \
	keyboard-btn-numprev.png \
	keyboard-btn.png \
	keyboard-btn-prev-focus.png \
	keyboard-btn-prev.png \
	keyboard-btn-space-focus2.png \
	keyboard-btn-space-focus.png \
	keyboard-btn-space.png \
	keyboard-btn-topright-focus.png \
	keyboard-btn-topright.png \
	keyboard-numeric-bg.png \
	keyboard-numeric-overlay2.png \
	keyboard-numeric-overlay.png \
	keyboard-panel-overlay.png \
	keyboard-panel.png \
	list-focus.png \
	list-nofocus.png \
	logo.png \
	love-focus.png \
	love.png \
	music-bg.png \
	music-ff-focus.png \
	music-ff-nofocus.png \
	music-pause-focus.png \
	music-pause-nofocus.png \
	music-play-focus.png \
	music-play-nofocus.png \
	music-random-off-focus.png \
	music-random-off-nofocus.png \
	music-random-on-focus.png \
	music-random-on-nofocus.png \
	music-repeat-all-focus.png \
	music-repeat-all-nofocus.png \
	music-repeat-off-focus.png \
	music-repeat-off-nofocus.png \
	music-repeat-one-focus.png \
	music-repeat-one-nofocus.png \
	music-rw-focus.png \
	music-rw-nofocus.png \
	music-skipminus-focus.png \
	music-skipminus-nofocus.png \
	music-skipplus-focus.png \
	music-skipplus-nofocus.png \
	music-stop-focus.png \
	music-stop-nofocus.png \
	mute.png \
	osd_button_audioFO.png \
	osd_button_audioSELFO.png \
	osd_button_audioSELNF.png \
	osd_button_bookmarkFO.png \
	osd_button_bookmarkSELFO.png \
	osd_button_bookmarkSELNF.png \
	osd_button_dvdmenu2.png \
	osd_button_dvdmenuNF.png \
	osd_button_dvdmenu.png \
	osd_button_ffFO.png \
	osd_button_ffSELFO.png \
	osd_button_ffSELNF.png \
	osd_button_pauseFO.png \
	osd_button_pauseNF.png \
	osd_button_playFO.png \
	osd_button_playlistFO.png \
	osd_button_playNF.png \
	osd_button_presetsFO.png \
	osd_button_rec2.png \
	osd_button_recNF.png \
	osd_button_rec.png \
	osd_button_rewFO.png \
	osd_button_rewSELFO.png \
	osd_button_rewSELNF.png \
	osd_button_skip_minusFO.png \
	osd_button_skip_minusSELFO.png \
	osd_button_skip_minusSELNF.png \
	osd_button_skip_plusFO.png \
	osd_button_skip_plusSELFO.png \
	osd_button_skip_plusSELNF.png \
	osd_button_videoFO.png \
	osd_button_videoSELFO.png \
	osd_button_videoSELNF.png \
	osd_button_visFO.png \
	osd_button_vizsettingsFO.png \
	osd_menu_bg.png \
	osd_panel_audio.png \
	osd_panel.png \
	osd_settings_header.png \
	osd_slider_bg_2.png \
	osd_slider_bg.png \
	osd_slider_delay_bg.png \
	osd_slider_nibFO.png \
	osd_slider_nibNF.png \
	osd_slider_volume_bg.png \
	OSDtime-panel-bg.png \
	osd_volumeslider.png \
	OverlayHasTrainer.png \
	OverlayHD.png \
	OverlayLocked.png \
	OverlayRAR.png \
	OverlayTrained.png \
	OverlayUnwatched.png \
	OverlayWatched.png \
	OverlayZIP.png \
	pointer-focus-click.png \
	pointer-focus-drag.png \
	pointer-focus.png \
	pointer-nofocus.png \
	progress_back2.png \
	progress_back.png \
	progress_left.png \
	progress_mid.png \
	progress_over.png \
	progress_right.png \
	radiobutton-focus.png \
	radiobutton-nofocus.png \
	rating0.png \
	rating1.png \
	rating2.png \
	rating3.png \
	rating4.png \
	rating5.png \
	Scan-panel-bg.png \
	scrollbar_arrow_down_focus.png \
	scrollbar_arrow_down.png \
	scrollbar_arrow_up_focus.png \
	scrollbar_arrow_up.png \
	scrollbar_background.png \
	scrollbar_bar_focus.PNG \
	scrollbar_bar.PNG \
	scroll-down-focus.gif \
	scroll-down-focus.png \
	scroll-down.png \
	scroll-left-focus.png \
	scroll-left.png \
	scroll-right-focus.png \
	scroll-right.png \
	scroll-up-focus.gif \
	scroll-up-focus.png \
	scroll-up.png \
	seekslider.png \
	select-left-focus.png \
	select-left.gif \
	select-right-focus.png \
	select-right.gif \
	separatorOSD.png \
	separator.png \
	settings-appearance-focus.png \
	settings-appearance-nofocus.png \
	settings-check-boxNF.png \
	settings-check-box.png \
	settings-divider.png \
	settings-music-focus.png \
	settings-music-nofocus.png \
	settings-network-focus.png \
	settings-network-nofocus.png \
	settings-pictures-focus.png \
	settings-pictures-nofocus.png \
	settings-programs-focus.png \
	settings-programs-nofocus.png \
	settings-system-focus.png \
	settings-system-nofocus.png \
	settings-videos-focus.png \
	settings-videos-nofocus.png \
	settings-weather-focus.png \
	settings-weather-nofocus.png \
	slider_nibFO.png \
	sub-background-label.png \
	sub-background.png \
	sub-eject-focus.gif \
	sub-eject-nofocus.png \
	sub-exit-focus.gif \
	sub-exit-nofocus.png \
	sub-favs-focus.gif \
	sub-favs-nofocus.png \
	sub-info-focus.gif \
	sub-info-nofocus.png \
	sub-logoff-focus.gif \
	sub-logoff-nofocus.png \
	sub-master-focus.gif \
	sub-master-nofocus.png \
	sub-nomaster-focus.gif \
	sub-nomaster-nofocus.png \
	sub-reboot-focus.gif \
	sub-reboot-nofocus.png \
	sub-shutdown-focus.gif \
	sub-shutdown-nofocus.png \
	toggle-down.png \
	toggle-up.png \
	totalblack.png \
	Trainer.png \
	TWClogo_64px.png \
	unknown-user.png \
	video-16x.png \
	video-16xr.png \
	video-2x.png \
	video-2xr.png \
	video-32x.png \
	video-32xr.png \
	video-4x.png \
	video-4xr.png \
	video-8x.png \
	video-8xr.png \
	video-info-button-focus.png \
	video-info-button-nofocus.png \
	video-pause.png \
	voulume-panel-bg.png \
	Wide_Icon_Diffuse.png \
	WideIconNF.png \
	WideIcon.png

all: $(TARGET)

.PHONY: force

$(TARGET): $(XBMCTEX) $(IMAGES)
	$(XBMCTEX) -input . -output $(TARGET)

$(XBMCTEX): force
	$(MAKE) -C ../../../tools/XBMCTex

clean:
	rm -f $(TARGET)
distclean: clean

=== xbmc/FileSystem/MusicDatabaseDirectory/Makefile ===
INCLUDES=-I. -I../../ -I../../linux -I../../../guilib

SRCS=DirectoryNodeAlbumCompilations.cpp DirectoryNodeAlbumCompilationsSongs.cpp DirectoryNodeAlbum.cpp DirectoryNodeAlbumRecentlyAdded.cpp DirectoryNodeAlbumRecentlyAddedSong.cpp DirectoryNodeAlbumRecentlyPlayed.cpp DirectoryNodeAlbumRecentlyPlayedSong.cpp DirectoryNodeAlbumTop100.cpp DirectoryNodeAlbumTop100Song.cpp DirectoryNodeArtist.cpp DirectoryNode.cpp DirectoryNodeGenre.cpp DirectoryNodeOverview.cpp DirectoryNodeRoot.cpp DirectoryNodeSong.cpp DirectoryNodeSongTop100.cpp DirectoryNodeTop100.cpp QueryParams.cpp DirectoryNodeYearAlbum.cpp DirectoryNodeYearSong.cpp DirectoryNodeYear.cpp 

LIB=musicdatabasedirectory.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/FileSystem/VideoDatabaseDirectory/Makefile ===
INCLUDES=-I. -I../../ -I../../linux -I../../../guilib

SRCS=DirectoryNodeActor.cpp \
     DirectoryNode.cpp \
     DirectoryNodeDirector.cpp \
     DirectoryNodeEpisodes.cpp \
     DirectoryNodeGenre.cpp \
     DirectoryNodeMoviesOverview.cpp \
     DirectoryNodeOverview.cpp \
     DirectoryNodeRoot.cpp \
     DirectoryNodeSeasons.cpp \
     DirectoryNodeTitleMovies.cpp \
     DirectoryNodeTitleTvShows.cpp \
     DirectoryNodeTvShowsOverview.cpp \
     DirectoryNodeYear.cpp \
     QueryParams.cpp \
     DirectoryNodeRecentlyAddedMovies.cpp \
     DirectoryNodeRecentlyAddedEpisodes.cpp \
     DirectoryNodeStudio.cpp \
     DirectoryNodeMusicVideosOverview.cpp \
     DirectoryNodeRecentlyAddedMusicVideos.cpp \
     DirectoryNodeTitleMusicVideos.cpp \
     DirectoryNodeMusicVideoAlbum.cpp \

LIB=videodatabasedirectory.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/cores/DllLoader/Makefile ===
INCLUDES=-I. -I../../ -I../../linux -I../../../guilib -I../../../xbmc -I../../utils
CFLAGS+=-DAPI_DEBUG
CXXFLAGS+=-DAPI_DEBUG

SRCS=DllLoader.cpp DllLoaderContainer.cpp dll.cpp coff.cpp dll_tracker.cpp dll_tracker_library.cpp dll_tracker_file.cpp dll_tracker_memory.cpp dll_tracker_critical_section.cpp dll_util.cpp  SoLoader.cpp LibraryLoader.cpp ldt_keeper.c mmap_anon.c

LIB=dllloader.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/cores/VideoRenderers/Makefile ===
INCLUDES=-I. -I.. -I../../ -I../../../ -I../../linux -I../../../guilib -I../../utils

SRCS=LinuxRenderer.cpp \
     RenderManager.cpp \
     LinuxRendererGL.cpp \
     OverlayRenderer.cpp \
     OverlayRendererGL.cpp \

LIB=VideoRenderer.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/Linux/debian/changelog ===
xbmc (1:9.04.1+svn21743-1) experimental; urgency=low

  * Package XBMC for Debian. (Closes: #469397)
    (LP: #307162)
  * Start using an epoch for use better package versioning.
  * Add Debian Multimedia team to Maintainers field.
  * Add Ouattara and myself to Uploaders field.
  * Add DM-Upload-Allowed: yes field.
  * Switch to debhelper 7.
  * Switch to quilt.
  * Remove unused patch.
  * Completely rewrite debian/rules to take advantage of debhelper 7 and quilt.
  * Bump to Standards-Version 3.8.2.
  * Changed Architecture field for arch-indep packages to 'all'.
  * Included powerpc and ppc64 for binary packages.
  * Use ${shlibs:Depends} for all binary packages.
  * Add ${misc:Depends} to all packages.
  * Changed Section to video.
  * Changed Priority to optional.
  * No need for debian/dirs file, so removing.
  * Rename docs to xbmc-common.docs so documentation installs to xbmc-common.
  * Rename debug package to xbmc-dbg. Have it debugging symbols for all binary
    packages.
  * Rewrite the Build-Depends field, modeling it in order from what is needed
    by configure scripts.
  * Fix --prefix option when calling make install* in debian/rules.
  * Ensure no 'Thumbs.db' files are installed.
  * Do not use cp -a, just cp.
  * Rewrite Description fields for each package.
  * Add Depends on python-bluez | python-lightblue for xbmc-eventclients-ps3.
  * Add manpages for the programs installed in /usr/bin.
  * Various fixes for lintian warnings and errors.
    + Fix not-binnmuable-all-depends-any lintian errors.
    + Fix not-binnmuable-any-depends-all lintian errors.
    + Fix extended-description-line-too-long lintian warnings.
    + Fix python-script-but-no-python-dep lintian errors.
    + Change debug package to Section 'debug' and Priority 'extra'.
    + Fix maintainer-script-needs-depends-on-adduser lintian warning.
    + Don't install License information as documentation. It will go in
      debian/copyright.
    + Rewrite copyright file.
    + Include the same copyright file for all packages.
    + Make sure the menu file is installed in xbmc-common package.
    + Fix "needs" variable in menu file.
    + Install the subdirectories of tools/EventClients/examples/ in examples for
      xbmc-eventclients-dev package.
    + Create a symlink to LiberationSans-Regular.ttf.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 16 Jul 2009 22:50:52 -0400

xbmc (9.04.1.0.20670-jaunty1) jaunty; urgency=low

  * Build of 9.04.1.0.20670

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Tue, 26 May 2009 20:09:45 +0200

xbmc (2.1a2-hardy2) hardy; urgency=low

  * XBMC Alpha 2

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat, 17 May 2008 19:40:06 +0200

xbmc (2.1a1svn12983-hardy1) hardy; urgency=low

  * hardy port of XBMC latest svn 12983
  * added eventclients packages

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Mon, 12 May 2008 10:50:46 +0200

xbmc (2.1a1b2-gutsy1) gutsy; urgency=low

  * add the debug symbol package
  * change the launcher icon to the one provided by djdafreund
  * create the log file by default and give it the universal rigths
  * Activate support for WII remote

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Mon, 31 Mar 2008 19:33:14 +0200

xbmc (2.1a1b1-gutsy3) gutsy; urgency=low

  * Release from revision 12195
  * MythTV support
  * Added a launcher for xbmc

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat, 29 Mar 2008 20:28:47 +0100

xbmc (2.1a1-gutsy2) gutsy; urgency=low

  * Release Made on Revision 12195
  * No Myth TV support

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat, 29 Mar 2008 01:49:20 +0100

xbmc (0.1-1gutsy~ppa1) gutsy; urgency=low

  * Initial release for GUTSY : first ppa package for XBMC

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Fri, 28 Mar 2008 21:17:01 +0100

=== tools/Linux/debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>,
           Andres Mejia <mcitadel@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), quilt, python-support, cmake,
 autotools-dev, autoconf, automake, unzip, libboost-dev,
 libgl1-mesa-dev | libgl-dev, libglu-dev, libglew-dev, libmad0-dev, libjpeg-dev,
 libsamplerate-dev, libogg-dev, libvorbis-dev, libfreetype6-dev,
 libfontconfig-dev, libbz2-dev, libfribidi-dev, libsqlite3-dev,
 libmysqlclient-dev, libasound-dev, libpng-dev, libpcre3-dev, liblzo2-dev,
 libcdio-dev, libsdl-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libenca-dev,
 libjasper-dev, libxt-dev, libxmu-dev, libxinerama-dev,
 libcurl4-gnutls-dev | libcurl-dev, libdbus-1-dev, libhal-storage-dev,
 libhal-dev, libpulse-dev, libavahi-common-dev, libavahi-client-dev,
 libxrandr-dev, libavcodec-dev, libavformat-dev, libavutil-dev, libpostproc-dev,
 libswscale-dev, liba52-dev, libdts-dev, libfaad-dev, libmp4ff-dev,
 libmpeg2-4-dev, libass-dev, libmpcdec-dev, libflac-dev, libwavpack-dev,
 python-dev, gawk, gperf, nasm [!amd64], libcwiid1-dev, libbluetooth-dev,
 zlib1g-dev, libmms-dev,
Standards-Version: 3.8.2
Homepage: http://xbmc.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/xbmc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/xbmc.git;a=summary

Package: xbmc
Architecture: all
Depends: xbmc-common (>= ${source:Version}),
         xbmc-skin-pm3-hd (= ${binary:Version}),
         xbmc-web-pm3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: xbmc-third-parties
Description: XBMC Media Center (full metapackage)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a metapackage aimed at users wanting to quickly get started
 with using XBMC Media Center.

Package: xbmc-live
Architecture: all
Depends: xbmc-standalone (= ${binary:Version}),
         policykit,
         openssh-server,
         ${python:Depends},
         python-apt,
         adduser,
         ${misc:Depends}
Conflicts: kdm, gdm, xdm, wdm
Description: XBMC Media Center (XBMC Live package)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is used to setup the XBMC Live environment.

Package: xbmc-standalone
Architecture: all
Depends: xbmc-common (>= ${source:Version}),
         xbmc-skin-pm3-hd (= ${binary:Version}),
         xbmc-web-pm3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: xbmc-third-parties
Description: XBMC Media Center (standalone program)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package will install files that would permit to launch XBMC without
 having a desktop manager.

Package: xbmc-common
Architecture: i386 amd64 powerpc ppc64
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Suggests: xbmc-test-helper
Recommends: python-qt3
Description: XBMC Media Center (common package)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the datas needed to have a working XBMC

Package: xbmc-dbg
Architecture: i386 amd64 powerpc ppc64
Section: debug
Priority: extra
Depends: xbmc-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (debug package)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains debugging symbols for XBMC.

Package: xbmc-scripts-example
Architecture: all
Depends: xbmc-common (>= ${source:Version}),
         ${misc:Depends}
Description: XBMC Media Center (example scripts)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains scripts shipped with XBMC for user conveniance.

Package: xbmc-skin-pm3
Architecture: all
Depends: xbmc-common (>= ${source:Version}),
         ${misc:Depends}
Replaces: xbmc-skin-default
Conflicts: xbmc-skin-default
Description: XBMC Media Center (Project Mahem III skin)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the XBMC PM3 Skin package (aka Project Mahem III).

Package: xbmc-skin-pm3-hd
Architecture: all
Depends: xbmc-common (>= ${source:Version}),
         ttf-liberation,
         ${misc:Depends}
Description: XBMC Media Center (PM3 HD skin)
 XBMC, recursive acronym for “XBMC Media Center“, is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to

=== tools/Linux/debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Get the SVN revision from the changelog
SVNVERSION ?= $(shell dpkg-parsechangelog | grep '^Version:' | sed 's/.*svn\([[:digit:]]*\).*/\1/')

# List of options to pass to configure. Can be overridden.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-ccache \
	--disable-dvdcss --enable-external-libraries --enable-avahi

# Add the SVN revision if it exists in the changelog
ifeq (,$(findstring Version,$(SVNVERSION)))
  XBMC_CONFIG_OPTIONS += SVN_REV="$(SVNVERSION)"
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f debian/xbmc-live.init
	debian/rules unpatch

override_dh_auto_configure: patch
	cp -f tools/XBMCLive/xbmc debian/xbmc-live.init
	./configure $(XBMC_CONFIG_OPTIONS)

override_dh_auto_install:
	$(MAKE) install install-livedatas prefix=$(CURDIR)/debian/tmp/usr
	$(MAKE) eventclients prefix=$(CURDIR)/debian/tmp/usr \
		installdir=/usr WII_EXTRA_OPTS=-DCWIID_OLD
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications \
		$(CURDIR)/debian/tmp/usr/share/pixmaps
	cp $(CURDIR)/tools/Linux/xbmc.png \
		$(CURDIR)/debian/tmp/usr/share/pixmaps/
	cp $(CURDIR)/tools/Linux/xbmc.desktop \
		$(CURDIR)/debian/tmp/usr/share/applications/

override_dh_install:
	dh_install --sourcedir=$(CURDIR)/debian/tmp -XLICENCE \
		-XLiberationSans-Regular.ttf -XLicence.txt -XLicense.txt
	# XBMC WEB EFLEXWEB
	mkdir -p $(CURDIR)/debian/xbmc-web-eflexweb/usr/share/xbmc/web
	unzip -oq $(CURDIR)/web/WebInterfaceXBMC-0.17.zip \
		-d $(CURDIR)/debian/xbmc-web-eflexweb/usr/share/xbmc/web
	# XBMC WEB PM
	mkdir -p $(CURDIR)/debian/xbmc-web-pm/usr/share/xbmc/web
	unzip -oq $(CURDIR)/web/Project_Mayhem_webserver_V1.1.2.zip \
		-d $(CURDIR)/debian/xbmc-web-pm/usr/share/xbmc/web \
		-x "*/Thumbs.db"
	# XBMC WEB Iphone
	mkdir -p $(CURDIR)/debian/xbmc-web-iphone-tlrobinson/usr/share/xbmc/web/iphone
	unzip -oq $(CURDIR)/web/xbmciphone-0.1.zip \
		-d $(CURDIR)/debian/xbmc-web-iphone-tlrobinson/usr/share/xbmc/web
	mkdir -p $(CURDIR)/debian/xbmc-web-iphone-tlrobinson/usr/share/doc/xbmc-web-iphone-tlrobinson/ 
	mv $(CURDIR)/debian/xbmc-web-iphone-tlrobinson/usr/share/xbmc/web/README \
	    $(CURDIR)/debian/xbmc-web-iphone-tlrobinson/usr/share/doc/xbmc-web-iphone-tlrobinson/

override_dh_link:
	dh_link
	install -D "debian/xbmc-common/usr/share/xbmc/xbmc.bin" \
		"debian/xbmc-common/usr/lib/xbmc/xbmc.bin"
	dh_link -pxbmc-common "usr/lib/xbmc/xbmc.bin" \
		"usr/share/xbmc/xbmc.bin"
	install -D "debian/xbmc-common/usr/share/xbmc/xbmc-xrandr" \
		"debian/xbmc-common/usr/lib/xbmc/xbmc-xrandr"
	dh_link -pxbmc-common "usr/lib/xbmc/xbmc-xrandr" \
		"usr/share/xbmc/xbmc-xrandr"
	find "debian/xbmc-common/usr/share/xbmc" -regextype posix-extended \
		-type f -iregex ".*\.so|.*\.vis|.*\.xbs" | while read FILE; do \
		NEW_LOCATION="$$(echo $$FILE | sed -e 's|/usr/share|/usr/lib|')"; \
		LINK_TARGET="$$(echo "$$NEW_LOCATION" | sed -e 's|debian/xbmc-common/||')"; \
		LINK_DESTINATION="$$(echo "$$FILE" | sed -e 's|debian/xbmc-common/||')"; \
		install -D "$$FILE" "$$NEW_LOCATION"; \
		dh_link -pxbmc-common "$$LINK_TARGET" "$$LINK_DESTINATION"; \
		done

override_dh_strip:
	dh_strip --dbg-package=xbmc-dbg

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't edit
	# postinst/postrm scripts to call ldconfig
	dh_makeshlibs -n
